package cz.jzitnik.game.entities.items.registry.blocks.wools;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.sprites.Wool;

@PlaceSound(SoundKey.WOOL_DIG)
@MineSound(SoundKey.WOOL_DIG)
@WalkSound(SoundKey.WOOL_DIG)
@MiningSound(SoundKey.WOOL_DIG)
@BlockRegistry("red_wool")
public class RedWoolBlock extends Block {
    public RedWoolBlock() {
        super("red_wool", SpriteLoader.SPRITES.WOOL, 3);
        setSpriteState(Wool.WoolState.RED);
    }
}
